### Function

# Gck modules_tokens_for_uri

#### Declaration [src]

    GList*
    gck_modules_tokens_for_uri (
      GList* modules,
      const gchar* uri,
      GError** error
    )

#### Description [src]

Lookup a token that matches the URI.

#### Parameters

`modules` | A list of `GckModule*`
| The modules.
| The data is owned by the caller of the function.
`uri` | `const gchar*`
| The URI that the token must match.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `None`
| A list of newly allocated `GckSlot` objects. Use `gck_list_unref_free()` to release the list once you’re done with it.
| The caller of the function takes ownership of the data, and is responsible for freeing it.